Update Invoice Fields
1 min
PATCH
https://api.nue.io/billing/invoices/{invoiceId}
Path Parameters
- invoiceIdstring<uuid>requiredFormatuuid
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/json*/*
Body Parameters
- bodymap<string, object>required
- dueDatestring<date>DescriptionFormatdate
- paymentDetailsstringDescription
- billToContactIdstringDescription
Responses
200
- object
- activatedByIdstring<uuid>Formatuuid
- salesAccountIdstring
- endDatestring<date>Formatdate
- dueDatestring<date>Formatdate
- sourcestring
- taxStatusstring
- shippingAndHandlingnumber
- balancenumber
- vatMessagesstring
- idstring<uuid>Formatuuid
- billToContactIdstring
- einvoicingMandateIdstring
- createdByIdstring<uuid>Formatuuid
- taxCompanyCodestring
- einvoicingDocStatusstring
- appliedByObjectstring
- targetDatestring<date>Formatdate
- namestring
- externalTaxIdstring
- currencyIsoCodestring
- taxAmountnumber
- isCatchUpboolean
- startDatestring<date>Formatdate
- statusstring
- syncTimestring<date-time>Formatdate-time
- poNumbersstring
- customFieldsstring
- poDatesstring
- taxErrorMessagestring
- appliedByIdstring
- lastModifiedByIdstring<uuid>Formatuuid
- customerIdstring
- paymentDetailsstring
- paymentStatusstring
- einvoicingMessagestring
- cancellationDatestring
- amountWithoutTaxnumber
- amountnumber
- commentsstring
- lastModifiedDatestring<date-time>Formatdate-time
- recordTypestring
- einvoicingMandateCodestring
- entityIdstring
- invoiceDatestring<date>Formatdate
- accountingStatusstring
- invoicePdfstring
- paymentHostedUrlstring
- createdDatestring<date-time>Formatdate-time
- activatedTimestring
- tenantIdstring<uuid>Formatuuid
- externalInvoiceIdstring
- einvoicingDocIdstring
400
- object
- titlestring
- messagestring
- errorCodestring
404
curl
curl --request PATCH \
--url https://api.nue.io/billing/invoices/{invoiceId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/billing/invoices/{invoiceId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/billing/invoices/{invoiceId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/billing/invoices/{invoiceId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"activatedById": "",
"salesAccountId": "",
"endDate": "",
"dueDate": "",
"source": "",
"taxStatus": "",
"shippingAndHandling": 0,
"balance": 0,
"vatMessages": "",
"id": "",
"billToContactId": "",
"einvoicingMandateId": "",
"createdById": "",
"taxCompanyCode": "",
"einvoicingDocStatus": "",
"appliedByObject": "",
"targetDate": "",
"name": "",
"externalTaxId": "",
"currencyIsoCode": "",
"taxAmount": 0,
"isCatchUp": false,
"startDate": "",
"status": "",
"syncTime": "",
"poNumbers": "",
"customFields": "",
"poDates": "",
"taxErrorMessage": "",
"appliedById": "",
"lastModifiedById": "",
"customerId": "",
"paymentDetails": "",
"paymentStatus": "",
"einvoicingMessage": "",
"cancellationDate": "",
"amountWithoutTax": 0,
"amount": 0,
"comments": "",
"lastModifiedDate": "",
"recordType": "",
"einvoicingMandateCode": "",
"entityId": "",
"invoiceDate": "",
"accountingStatus": "",
"invoicePdf": "",
"paymentHostedUrl": "",
"createdDate": "",
"activatedTime": "",
"tenantId": "",
"externalInvoiceId": "",
"einvoicingDocId": ""
}400
// Bad Request
{
"title": "",
"message": "",
"errorCode": ""
}404
// Not Found